###########################

# Xoops 2.5.7.2 Weak Crypto Vulnerability

###########################

[+] Credits: John Page aka hyp3rlinx

[+] Website: hyp3rlinx.altervista.org

[+] Source: http://hyp3rlinx.altervista.org/advisories/XOOPS-WEAK-CRYPTO.txt



Vendor:
=============
xoops.org



Product:
================
Xoops 2.5.7.2



Vulnerability Type:
===================
Weak Crypto



Vulnerability Details:
=====================

Xoops 2.5.7.2 uses weak one way hash crypto MD5 along with unsalted passwords stored in the database.

Using weak cryptographic one-way hash functions like MD5 without using salt for storing user passwords allows attackers
that gain access to this data ability to conduct password cracking attacks using pre-computed dictionaries, e.g. rainbow tables.
if their local machine is compromised and attackers gain access to the MD5 hashed passwords.

e.g.

e99a18c428cb38d5f260853678922e03 MD5 : abc123

In Xoops code in 'register.php' line 192 we find following...

$newuser->setVar('pass', md5($pass), true);


References:
http://xoops.org/modules/news/article.php?storyid=6757


Disclosure Date:
===================================
Jan 29, 2016: Vendor Notification
Vendor confirms and patches Xoops
March 17, 2016 : Public Disclosure

===================================

[+] Disclaimer
Permission is hereby granted for the redistribution of this advisory, provided that it is not altered except by reformatting it, and that due credit is given. Permission is explicitly given for insertion in vulnerability databases and similar, provided that due credit is given to the author.
The author is not responsible for any misuse of the information contained herein and prohibits any malicious use of all security related information or exploits by the author or elsewhere. (c) hyp3rlinx.

###########################

# Iranian Exploit DataBase = http://IeDb.Ir [2016-03-19]

###########################